curl_easy_init(3)

NAME
curl_easy_init - Start a libcurl easy session

SYNOPSIS
#include <curl/curl.h>

CURL *curl_easy_init( );

DESCRIPTION
This function must be the first function to call, and it returns a CURL easy handle that you must use as input to other easy-functions. curl_easy_init initializes curl and this call MUST have a corresponding call to curl_easy_cleanup(3) when the operation is complete.

RETURN VALUE
If this function returns NULL, something went wrong and you cannot use the other curl functions.

SEE ALSO
curl_easy_cleanup(3), curl_global_init(3), curl_easy_reset(3)